tristate
default m if CONFIG_DEVEL
help
- VRRPd is an implementation of Virtual Router Redundancy
- Protocol as specified in rfc2338. VRRPd is interoperable with
- other RFC-based VRRP implementations, including Cisco and
- Juniper, and is included as a standard feature on ImageStream
- routers.
-
- http://www.sourceforge.net/projects/vrrpd
+ VRRPd is an implementation of Virtual Router Redundancy
+ Protocol as specified in rfc2338. VRRPd is interoperable with
+ other RFC-based VRRP implementations, including Cisco and
+ Juniper, and is included as a standard feature on ImageStream
+ routers.
+
+ http://www.sourceforge.net/projects/vrrpd
+
+# $Id$
+
include $(TOPDIR)/rules.mk
PKG_NAME:=vrrpd
PKG_VERSION:=1.0
PKG_RELEASE:=1
-
PKG_MD5SUM:=6d5066ea1a6ced817376ca0f54765447
-PKG_SOURCE_URL:=@SF/vrrpd
+PKG_SOURCE_URL:=@SF/vrrpd
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
-PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
PKG_CAT:=zcat
-PKG_INSTALL_DIR:=$(PKG_BUILD_DIR)/ipkg-install
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
include $(TOPDIR)/package/rules.mk
-$(eval $(call PKG_template,VRRPD,VRRPD,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
+$(eval $(call PKG_template,VRRPD,vrrpd,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
$(PKG_BUILD_DIR)/.configured:
touch $@
$(PKG_BUILD_DIR)/.built:
- mkdir -p $(PKG_INSTALL_DIR)/usr/sbin
- $(MAKE) CC=$(TARGET_CC) -C $(PKG_BUILD_DIR)
- install -m0755 $(PKG_BUILD_DIR)/vrrpd $(PKG_INSTALL_DIR)/usr/sbin/
+ $(MAKE) -C $(PKG_BUILD_DIR) \
+ CC=$(TARGET_CC) \
+ DBG_OPT="" \
+ MAIN_OPT="$(TARGET_CFLAGS)" \
+ vrrpd
touch $@
$(IPKG_VRRPD):
- mkdir -p $(IDIR_VRRPD)
- cp -fpR $(PKG_INSTALL_DIR)/* $(IDIR_VRRPD)/
+ install -d -m0755 $(IDIR_VRRPD)/usr/sbin
+ install -m0755 $(PKG_BUILD_DIR)/vrrpd $(IDIR_VRRPD)/usr/sbin/
$(RSTRIP) $(IDIR_VRRPD)
$(IPKG_BUILD) $(IDIR_VRRPD) $(PACKAGE_DIR)
--- /dev/null
+#!/bin/sh
+
+BIN=vrrpd
+DEFAULT=/etc/default/$BIN
+[ -f $DEFAULT ] && . $DEFAULT
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN_${IF}_${ID}.pid
+
+case $1 in
+ start)
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?
+++ /dev/null
-diff -urN orig/vrrpd-1.0/Makefile vrrpd-1.0/Makefile
---- orig/vrrpd-1.0/Makefile 2002-09-09 16:51:13.000000000 +0200
-+++ vrrpd-1.0/Makefile 2005-12-12 23:31:30.000000000 +0100
-@@ -15,7 +15,6 @@
- COMMON_CFLAGS= $(MAIN_OPT) $(INCLUDEOPT) $(PROF_OPT) $(DBG_OPT) $(MACHINEOPT)
-
- # set to compile with GCC
--CC=gcc
- CFLAGS= $(COMMON_CFLAGS) -Wall
-
- vrrpd : $(VRRPD_OBJS)